AccessControlException (Java SE 17 & JDK 17)
Description: declaration: module: java.base, package: java.security, class: AccessControlException
Keywords: java.security.AccessControlException class

Module java.base
Package java.security

# Class AccessControlException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.SecurityException
java.security.AccessControlException

All Implemented Interfaces:
  `Serializable`

@Deprecated(since="17", forRemoval=true) public class AccessControlException extends SecurityException
Deprecated, for removal: This API element is subject to removal in a future version.
This class is only useful in conjunction with the Security Manager, which is deprecated and subject to removal in a future release. Consequently, this class is also deprecated and subject to removal. There is no replacement for the Security Manager or this class.

This exception is thrown by the AccessController to indicate that a requested access (to a critical system resource such as the file system or the network) is denied.

The reason to deny access can vary. For example, the requested permission might be of an incorrect type, contain an invalid value, or request access that is not allowed according to the security policy. Such information should be given whenever possible at the time the exception is thrown.

Since:
  1.2
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessControlException(String s)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Constructs an `AccessControlException` with the specified, detailed message.
  `AccessControlException(String s, Permission p)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Constructs an `AccessControlException` with the specified, detailed message, and the requested permission that caused the exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Permission`
  `getPermission()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Gets the Permission object associated with this exception, or null if there was no corresponding Permission object.

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AccessControlException

    public AccessControlException(String s)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Constructs an `AccessControlException` with the specified, detailed message.
    Parameters:
      `s` - the detail message.

  - ### AccessControlException

    public AccessControlException(String s, Permission p)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Constructs an `AccessControlException` with the specified, detailed message, and the requested permission that caused the exception.
    Parameters:
      `s` - the detail message.
      `p` - the permission that caused the exception.

- ## Method Details

  - ### getPermission

    public Permission getPermission()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Gets the Permission object associated with this exception, or null if there was no corresponding Permission object.
    Returns:
      the Permission object.